Debian Bug report logs - #638959
please add multi-arch support for gmp

version graph

Package: gmp; Maintainer for gmp is Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>;

Reported by: Riku Voipio <riku.voipio@iki.fi>

Date: Tue, 23 Aug 2011 10:51:14 UTC

Severity: normal

Tags: patch

Found in version 2:5.0.1+dfsg-7

Fixed in version gmp/2:5.0.2+dfsg-1

Done: smr@debian.org (Steve M. Robbins)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>:
Bug#638959; Package gmp. (Tue, 23 Aug 2011 10:51:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Riku Voipio <riku.voipio@iki.fi>:
New Bug report received and forwarded. Copy sent to Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>. (Tue, 23 Aug 2011 10:51:20 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@iki.fi>
To: submit@bugs.debian.org
Subject: please add multi-arch support for gmp
Date: Tue, 23 Aug 2011 13:49:57 +0300
[Message part 1 (text/plain, inline)]
Package: gmp
Version: 2:5.0.1+dfsg-7
Severity: normal
User: debian-dpkg@lists.debian.org
Usertags: multiarch
Tags: patch

Hi,

The attached patch converts gmp to multiarch paths 
and adds the relevant Multi-Arch: fields to debian/control.

Since gmp is bottom dependency installed by default when installing
toolchain, we need a early conversion of gmp to be able to take advantage
of multiarch.

Riku
[gmp-multiarch.patch (text/x-diff, attachment)]

Reply sent to smr@debian.org (Steve M. Robbins):
You have taken responsibility. (Tue, 30 Aug 2011 05:06:12 GMT) Full text and rfc822 format available.

Notification sent to Riku Voipio <riku.voipio@iki.fi>:
Bug acknowledged by developer. (Tue, 30 Aug 2011 05:06:12 GMT) Full text and rfc822 format available.

Message #10 received at 638959-close@bugs.debian.org (full text, mbox):

From: smr@debian.org (Steve M. Robbins)
To: 638959-close@bugs.debian.org
Subject: Bug#638959: fixed in gmp 2:5.0.2+dfsg-1
Date: Tue, 30 Aug 2011 05:02:17 +0000
Source: gmp
Source-Version: 2:5.0.2+dfsg-1

We believe that the bug you reported is fixed in the latest version of
gmp, which is due to be installed in the Debian FTP archive:

gmp_5.0.2+dfsg-1.diff.gz
  to main/g/gmp/gmp_5.0.2+dfsg-1.diff.gz
gmp_5.0.2+dfsg-1.dsc
  to main/g/gmp/gmp_5.0.2+dfsg-1.dsc
gmp_5.0.2+dfsg.orig.tar.gz
  to main/g/gmp/gmp_5.0.2+dfsg.orig.tar.gz
lib32gmp-dev_5.0.2+dfsg-1_amd64.deb
  to main/g/gmp/lib32gmp-dev_5.0.2+dfsg-1_amd64.deb
lib32gmp10_5.0.2+dfsg-1_amd64.deb
  to main/g/gmp/lib32gmp10_5.0.2+dfsg-1_amd64.deb
lib32gmpxx4_5.0.2+dfsg-1_amd64.deb
  to main/g/gmp/lib32gmpxx4_5.0.2+dfsg-1_amd64.deb
libgmp-dev_5.0.2+dfsg-1_amd64.deb
  to main/g/gmp/libgmp-dev_5.0.2+dfsg-1_amd64.deb
libgmp10-doc_5.0.2+dfsg-1_all.deb
  to main/g/gmp/libgmp10-doc_5.0.2+dfsg-1_all.deb
libgmp10_5.0.2+dfsg-1_amd64.deb
  to main/g/gmp/libgmp10_5.0.2+dfsg-1_amd64.deb
libgmp3-dev_5.0.2+dfsg-1_amd64.deb
  to main/g/gmp/libgmp3-dev_5.0.2+dfsg-1_amd64.deb
libgmpxx4ldbl_5.0.2+dfsg-1_amd64.deb
  to main/g/gmp/libgmpxx4ldbl_5.0.2+dfsg-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 638959@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Steve M. Robbins <smr@debian.org> (supplier of updated gmp package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 29 Aug 2011 23:06:19 -0500
Source: gmp
Binary: libgmp10 libgmpxx4ldbl libgmp-dev lib32gmp10 lib32gmpxx4 lib32gmp-dev lib64gmp10 lib64gmpxx4 lib64gmp-dev libgmp10-doc libgmp3-dev
Architecture: source all amd64
Version: 2:5.0.2+dfsg-1
Distribution: unstable
Urgency: low
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Changed-By: Steve M. Robbins <smr@debian.org>
Description: 
 lib32gmp-dev - Multiprecision arithmetic library developers tools (32bit)
 lib32gmp10 - Multiprecision arithmetic library (32bit)
 lib32gmpxx4 - Multiprecision arithmetic library (C++ bindings, 32bit)
 lib64gmp-dev - Multiprecision arithmetic library developers tools (64bit)
 lib64gmp10 - Multiprecision arithmetic library (64bit library)
 lib64gmpxx4 - Multiprecision arithmetic library (C++ bindings, 64bit)
 libgmp-dev - Multiprecision arithmetic library developers tools
 libgmp10   - Multiprecision arithmetic library
 libgmp10-doc - Multiprecision arithmetic library example code
 libgmp3-dev - Multiprecision arithmetic library developers tools
 libgmpxx4ldbl - Multiprecision arithmetic library (C++ bindings)
Closes: 627012 633312 635461 638959
Changes: 
 gmp (2:5.0.2+dfsg-1) unstable; urgency=low
 .
   * New upstream version.  Closes: #627012.
 .
   * rules: Empty dependency_libs.  Closes: #633312.
 .
   * orig-source.patch: New.
   * patches/s390x.patch: New.
   * rules: Patches to enable building on s390x (thanks, Andreas Krebbel).
     Closes: #635461.
 .
   * patches/upstream-dcpi1_bdiv_q.patch.  New.  Upstream fix: There is a
     GMP bug in mpn/generic/dcpi1_bdiv_q.c that causes incorrect
     computation with extremely low probability, for unnormalised
     dividends. The bug might also result in a decrement of memory above
     dividends, with some potential security impact. The bug might affect
     several user-level routines, e.g., mpz_invert, but only for operands
     of at least 3000 bits (for smaller operands, a simpler algorithm is
     used).
 .
   * control:
   * rules: Apply patch (thanks, Riku Voipio) for multiarch, except we do
     not mark libgmp-dev as multiarch.  Closes: #638959.
Checksums-Sha1: 
 ebbfed5ecafdfd7d03366a8cbe248109425d6918 1459 gmp_5.0.2+dfsg-1.dsc
 55ab7be7d853caefde22cadd5ee5a1c4482e199a 2863650 gmp_5.0.2+dfsg.orig.tar.gz
 3ccdb47c61214944e991d4d3ff70556a9e7a7856 19359 gmp_5.0.2+dfsg-1.diff.gz
 4c8bdf0ec08a9edfe35e009ec7c21c399ea1a6c5 157444 libgmp10-doc_5.0.2+dfsg-1_all.deb
 1c7bd8ef74dfba839066076a2682c9537f8f4ff0 246942 libgmp10_5.0.2+dfsg-1_amd64.deb
 d522edef9a1bc629f94e6ad0f7d94e9b69b3d426 20448 libgmpxx4ldbl_5.0.2+dfsg-1_amd64.deb
 d6ac85925c9d220bf1b0887ed4d132a0da1db41e 599604 libgmp-dev_5.0.2+dfsg-1_amd64.deb
 e5030798d3a2bb3ae1a451edf68a32cf390902dd 232462 lib32gmp10_5.0.2+dfsg-1_amd64.deb
 b86c5e178f05ca64597221c75a749a14e2e53460 20210 lib32gmpxx4_5.0.2+dfsg-1_amd64.deb
 3681138a72a2ff3c8c02d3698ba4835b421600e1 298176 lib32gmp-dev_5.0.2+dfsg-1_amd64.deb
 ff22f2bbb3a9ec8b5bbf7e70572ee9c7cf37bb13 13112 libgmp3-dev_5.0.2+dfsg-1_amd64.deb
Checksums-Sha256: 
 1aec2f5fd0c7562036054f39b0e027e1711abcf606bd13125d7e7a234321dd18 1459 gmp_5.0.2+dfsg-1.dsc
 a61d6f554a5817360e287099edc70478c54e432c179c6cdce5e088ce084f8a1d 2863650 gmp_5.0.2+dfsg.orig.tar.gz
 b30ae769c5cd67b5c8329e9c5acb500e656291d35ef1c5cd82273b937c784a3c 19359 gmp_5.0.2+dfsg-1.diff.gz
 00a7ae1b4a79d179893797871eabfc72850e3149c655360f162f625fa14567cc 157444 libgmp10-doc_5.0.2+dfsg-1_all.deb
 9822e856708afa3f9e6b9e781a9084e8506f87773aa1c72648f25f902e7c7346 246942 libgmp10_5.0.2+dfsg-1_amd64.deb
 a91bc8e6ea348e9e54d2ffc0f689a3c2c83689b96aa6b3430682180866482372 20448 libgmpxx4ldbl_5.0.2+dfsg-1_amd64.deb
 4f266b197907d6fa48ae373389446fa3978d91f717b069e24a755c355cf245f4 599604 libgmp-dev_5.0.2+dfsg-1_amd64.deb
 b1995657d3e6eb921fbb3e6523d63a7d36f8e19c6f00e09d22d02a1275cad1a1 232462 lib32gmp10_5.0.2+dfsg-1_amd64.deb
 d99cc441e56d5172e71d02fc8dafb81ef2778b0971a26e1fbcefea121ab79917 20210 lib32gmpxx4_5.0.2+dfsg-1_amd64.deb
 3786f751c6d12ceca5e522b1b30da0cf75d1961a21994cf8c063148cea8c93e7 298176 lib32gmp-dev_5.0.2+dfsg-1_amd64.deb
 e555f81fe10346115afe914de9b18d028ac117ba50dd6c3985b14c08e60d3207 13112 libgmp3-dev_5.0.2+dfsg-1_amd64.deb
Files: 
 aac3dd16c259d57054f7a1879fe3e333 1459 libs optional gmp_5.0.2+dfsg-1.dsc
 18cefa8c900c802259466a46a6b7be12 2863650 libs optional gmp_5.0.2+dfsg.orig.tar.gz
 36bf6c09dea469616cbea4d21869cadd 19359 libs optional gmp_5.0.2+dfsg-1.diff.gz
 00b54ffa338cc0751c4a6a8d4b844b3e 157444 doc optional libgmp10-doc_5.0.2+dfsg-1_all.deb
 c7aef6ac44cdeb553a4d531a10e5dc78 246942 libs optional libgmp10_5.0.2+dfsg-1_amd64.deb
 a45e0de974af7ed1b8afce13fb0598f5 20448 libs optional libgmpxx4ldbl_5.0.2+dfsg-1_amd64.deb
 3fa28854144ea57f2693d4b284ea1a31 599604 libdevel optional libgmp-dev_5.0.2+dfsg-1_amd64.deb
 220710b1750f476a68f459f6eb3c2193 232462 libs optional lib32gmp10_5.0.2+dfsg-1_amd64.deb
 ad4b127c5e65f39aaa5be7ff3af5959d 20210 libs optional lib32gmpxx4_5.0.2+dfsg-1_amd64.deb
 1116fb4e9de4e10604fe8632ca02fb9b 298176 libdevel optional lib32gmp-dev_5.0.2+dfsg-1_amd64.deb
 8d756ec1a6acde8b2f32d2a6873703ad 13112 libdevel optional libgmp3-dev_5.0.2+dfsg-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iD8DBQFOXGxH0i2bPSHbMcURAgEDAKCfcg2FLq+bfBozRU3JTkOTWUbEegCgt3zC
BeRIvhNLwoc9Y93VuLN+Jts=
=9ZaH
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 07 Oct 2011 07:36:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 21:33:35 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.